Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Declarators Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Declarators:

[legend]
Collaboration diagram for TAO_PSDL_Declarators:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Declarators (TAO_PSDL_Node *declarator)
| ****************************************************************
| TAO_PSDL_Declarators (TAO_PSDL_Node *declarator, TAO_PSDL_Node *set_of_declarators)
virtual | ~TAO_PSDL_Declarators (void)
TAO_PSDL_Node * | declarator (void) const
| Get the value.
TAO_PSDL_Node * | set_of_declarators (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | declarator_
| The values.
TAO_PSDL_Node * | set_of_declarators_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Declarators::TAO_PSDL_Declarators | ( | TAO_PSDL_Node * | declarator | ) |

| ****************************************************************

TAO_PSDL_Declarators::TAO_PSDL_Declarators | ( | TAO_PSDL_Node * | declarator,
|  | TAO_PSDL_Node * | set_of_declarators
| ) |

TAO_PSDL_Declarators::~TAO_PSDL_Declarators | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Declarators::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Declarators::declarator | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Declarators::set_of_declarators | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Declarators::declarator_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Declarators::set_of_declarators_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp